# MovieTrackingDopesheet(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTrackingDopesheet`(bpy_struct)

  Match-moving dopesheet data

  `show_hidden`

    Include channels from objects/bone that aren’t visible

    Type: | boolean, default False

  `show_only_selected`

    Only include channels relating to selected objects and data

    Type: | boolean, default False

  `sort_method`

    Method to be used to sort channels in dopesheet view

    - `NAME` Name, Sort channels by their names.
    - `LONGEST` Longest, Sort channels by longest tracked segment.
    - `TOTAL` Total, Sort channels by overall amount of tracked segments.
    - `AVERAGE_ERROR` Average Error, Sort channels by average reprojection error of tracks after solve.

    Type: | enum in [‘NAME’, ‘LONGEST’, ‘TOTAL’, ‘AVERAGE_ERROR’], default ‘NAME’

  `use_invert_sort`

    Invert sort order of dopesheet channels

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieTracking.dopesheet` |